
vim.cmd [[packadd packer.nvim]]

return require('packer').startup(function() 

    use 'wbthomason/packer.nvim'
    
    -- themes
    use 'macguirerintoul/night_owl_light.vim'
    use 'ayu-theme/ayu-vim'
    use 'hachy/eva01.vim'
    use 'thedenisnikulin/vim-cyberpunk'
    use { "catppuccin/nvim", as = "catppuccin" }
    use {'nyoom-engineering/oxocarbon.nvim'}
    use "nyngwang/nvimgelio"

    -- other stuff

    use 'neovim/nvim-lspconfig'
    use 'ray-x/lsp_signature.nvim'

    use 'jose-elias-alvarez/null-ls.nvim'

    use 'MunifTanjim/prettier.nvim'

    use 'hrsh7th/cmp-nvim-lsp'
    use 'hrsh7th/cmp-buffer'
    use 'hrsh7th/cmp-path'
    use 'hrsh7th/cmp-cmdline'
    use 'hrsh7th/nvim-cmp'
    use 'hrsh7th/vim-vsnip'

    use 'chrisbra/vim-commentary'

    use 'onsails/lspkind.nvim'

    use({
        "glepnir/lspsaga.nvim",
        branch = "main",
    })

    -- use 'junegunn/fzf.vim'
    use 'nvim-telescope/telescope.nvim'

    use 'othree/html5.vim'
    use 'pangloss/vim-javascript'
    use 'evanleck/vim-svelte'

    use 'vim-airline/vim-airline'
    use 'vim-airline/vim-airline-themes'

    use 'airblade/vim-gitgutter'

    use 'mbbill/undotree'

    use "nvim-lua/plenary.nvim"

    use {
      'nvim-tree/nvim-tree.lua',
      requires = {
        'nvim-tree/nvim-web-devicons', -- optional, for file icons
      },
      tag = 'nightly' -- optional, updated every week. (see issue #1193)
    }

    use {
        'nvim-treesitter/nvim-treesitter',
        run = function()
            local ts_update = require('nvim-treesitter.install').update({ with_sync = true })
            ts_update()
        end,
    }

    use 'mg979/vim-visual-multi'
end)

